BUS_GENERIC_NEW_PASS(9)

NAME
bus_generic_new_pass - generic implementation of BUS_NEW_PASS for bus devices

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
bus_generic_new_pass(device_t dev);

DESCRIPTION
This function provides an implementation of the BUS_NEW_PASS(9) method which can be used by bus drivers. It first invokes the DEVICE_IDENTIFY(9) method for any drivers whose pass level is equal to the new pass level. Then, for each attached child device it calls BUS_NEW_PASS(9) to rescan child busses, and for each unattached child device it calls device_probe_and_attach(9).

SEE ALSO
BUS_NEW_PASS(9), bus_set_pass(9), device(9), DEVICE_IDENTIFY(9)